This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846715 - Signature check error with jdk1.7 in groovy-script-server-plugin
Signature check error with jdk1.7 in groovy-script-server-plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 682878 848168
  Show dependency treegraph
 
Reported: 2012-08-08 09:31 EDT by Heiko W. Rupp
Modified: 2013-09-01 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848168 (view as bug list)
Environment:
Last Closed: 2013-09-01 15:20:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-08-08 09:31:06 EDT
Compiling with jdk 1.7 gives:

[ERROR] Failed to execute goal org.codehaus.mojo:animal-sniffer-maven-plugin:1.7:check (java-api-check) on project groovy-script-server-plugin: Signature errors found. Verify them and put @IgnoreJRERequirement on them. -> [Help 1]
Comment 1 John Sanda 2012-08-08 11:26:02 EDT
I implemented the groovy server plugin some time ago merely as a proof of concept to demonstrate how different scripting environments can be integrated with RHQ. This plugin is neither included in RHQ nor in JON releases. I propose that it be removed from the RHQ source tree. If anything this plugin belongs in sandbox type repo where someone can pick it up and run with it if he is so inclined. Keeping it in the main RHQ repo just add extra, unnecessary maintenance. Maybe the rhq-extras repo would make a good home for this code.
Comment 2 John Sanda 2012-08-14 15:16:38 EDT
Until we find a new home for the plugin, I have take it out of the build in master.

commit hash: 15248b7c309
Comment 3 Heiko W. Rupp 2013-09-01 15:20:40 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.